Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Context

All Superinterfaces:
  Container

All Known Implementing Classes:
  StandardContext

public interface Context
extends Container

A Context is a Container that represents a servlet context, and therefore an individual web application, in the Catalina servlet engine. It is therefore useful in almost every deployment of Catalina (even if a Connector attached to a web server (such as Apache) uses the web server's facilities to identify the appropriate Wrapper to handle this request. It also provides a convenient mechanism to use Interceptors that see every request processed by this particular web application.

The parent Container attached to a Context is generally a Host, but may be some other implementation, or may be omitted if it is not necessary.

The child containers attached to a Context are generally implementations of Wrapper (representing individual servlet definitions).

Version:
  $Revision: 1.12 $ $Date: 2004/05/26 15:25:12 $
Author:
  Craig R. McClanahan

Field Summary
`static java.lang.String` | `RELOAD_EVENT` The LifecycleEvent type sent when a context is reloaded.

Fields inherited from interface org.apache.catalina.Container
`ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

Method Summary
`void` | `addApplicationListener(java.lang.String listener)` Add a new Listener class name to the set of Listeners configured for this application.
`void` | `addApplicationParameter(ApplicationParameter parameter)` Add a new application parameter for this application.
`void` | `addConstraint(SecurityConstraint constraint)` Add a security constraint to the set for this web application.
`void` | `addEjb(ContextEjb ejb)` Add an EJB resource reference for this web application.
`void` | `addEnvironment(ContextEnvironment environment)` Add an environment entry for this web application.
`void` | `addErrorPage(ErrorPage errorPage)` Add an error page for the specified error or Java exception.
`void` | `addFilterDef(FilterDef filterDef)` Add a filter definition to this Context.
`void` | `addFilterMap(FilterMap filterMap)` Add a filter mapping to this Context.
`void` | `addInstanceListener(java.lang.String listener)` Add the classname of an InstanceListener to be added to each Wrapper appended to this Context.
`void` | `addJspMapping(java.lang.String pattern)` Add the given URL pattern as a jsp-property-group.
`void` | `addLocaleEncodingMappingParameter(java.lang.String locale, java.lang.String encoding)` Add a Locale Encoding Mapping (see Sec 5.4 of Servlet spec 2.4)
`void` | `addLocalEjb(ContextLocalEjb ejb)` Add a local EJB resource reference for this web application.
`void` | `addMimeMapping(java.lang.String extension, java.lang.String mimeType)` Add a new MIME mapping, replacing any existing mapping for the specified extension.
`void` | `addParameter(java.lang.String name, java.lang.String value)` Add a new context initialization parameter, replacing any existing value for the specified name.
`void` | `addResource(ContextResource resource)` Add a resource reference for this web application.
`void` | `addResourceEnvRef(java.lang.String name, java.lang.String type)` Add a resource environment reference for this web application.
`void` | `addResourceLink(ContextResourceLink resourceLink)` Add a resource link for this web application.
`void` | `addRoleMapping(java.lang.String role, java.lang.String link)` Add a security role reference for this web application.
`void` | `addSecurityRole(java.lang.String role)` Add a new security role for this web application.
`void` | `addServletMapping(java.lang.String pattern, java.lang.String name)` Add a new servlet mapping, replacing any existing mapping for the specified pattern.
`void` | `addTaglib(java.lang.String uri, java.lang.String location)` Add a JSP tag library for the specified URI.
`void` | `addWelcomeFile(java.lang.String name)` Add a new welcome file to the set recognized by this Context.
`void` | `addWrapperLifecycle(java.lang.String listener)` Add the classname of a LifecycleListener to be added to each Wrapper appended to this Context.
`void` | `addWrapperListener(java.lang.String listener)` Add the classname of a ContainerListener to be added to each Wrapper appended to this Context.
`Wrapper` | `createWrapper()` Factory method to create and return a new Wrapper instance, of the Java implementation class appropriate for this Context implementation.
`java.lang.String[]` | `findApplicationListeners()` Return the set of application listener class names configured for this application.
`ApplicationParameter[]` | `findApplicationParameters()` Return the set of application parameters for this application.
`SecurityConstraint[]` | `findConstraints()` Return the set of security constraints for this web application.
`ContextEjb` | `findEjb(java.lang.String name)` Return the EJB resource reference with the specified name, if any; otherwise, return `null`.
`ContextEjb[]` | `findEjbs()` Return the defined EJB resource references for this application.
`ContextEnvironment` | `findEnvironment(java.lang.String name)` Return the environment entry with the specified name, if any; otherwise, return `null`.
`ContextEnvironment[]` | `findEnvironments()` Return the set of defined environment entries for this web application.
`ErrorPage` | `findErrorPage(int errorCode)` Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.
`ErrorPage` | `findErrorPage(java.lang.String exceptionType)` Return the error page entry for the specified Java exception type, if any; otherwise return `null`.
`ErrorPage[]` | `findErrorPages()` Return the set of defined error pages for all specified error codes and exception types.
`FilterDef` | `findFilterDef(java.lang.String filterName)` Return the filter definition for the specified filter name, if any; otherwise return `null`.
`FilterDef[]` | `findFilterDefs()` Return the set of defined filters for this Context.
`FilterMap[]` | `findFilterMaps()` Return the set of filter mappings for this Context.
`java.lang.String[]` | `findInstanceListeners()` Return the set of InstanceListener classes that will be added to newly created Wrappers automatically.
`ContextLocalEjb` | `findLocalEjb(java.lang.String name)` Return the local EJB resource reference with the specified name, if any; otherwise, return `null`.
`ContextLocalEjb[]` | `findLocalEjbs()` Return the defined local EJB resource references for this application.
`java.lang.String` | `findMimeMapping(java.lang.String extension)` Return the MIME type to which the specified extension is mapped, if any; otherwise return `null`.
`java.lang.String[]` | `findMimeMappings()` Return the extensions for which MIME mappings are defined.
`java.lang.String` | `findParameter(java.lang.String name)` Return the value for the specified context initialization parameter name, if any; otherwise return `null`.
`java.lang.String[]` | `findParameters()` Return the names of all defined context initialization parameters for this Context.
`ContextResource` | `findResource(java.lang.String name)` Return the resource reference with the specified name, if any; otherwise return `null`.
`java.lang.String` | `findResourceEnvRef(java.lang.String name)` Return the resource environment reference type for the specified name, if any; otherwise return `null`.
`java.lang.String[]` | `findResourceEnvRefs()` Return the set of resource environment reference names for this web application.
`ContextResourceLink` | `findResourceLink(java.lang.String name)` Return the resource link with the specified name, if any; otherwise return `null`.
`ContextResourceLink[]` | `findResourceLinks()` Return the defined resource links for this application.
`ContextResource[]` | `findResources()` Return the defined resource references for this application.
`java.lang.String` | `findRoleMapping(java.lang.String role)` For the given security role (as used by an application), return the corresponding role name (as defined by the underlying Realm) if there is one.
`boolean` | `findSecurityRole(java.lang.String role)` Return `true` if the specified security role is defined for this application; otherwise return `false`.
`java.lang.String[]` | `findSecurityRoles()` Return the security roles defined for this application.
`java.lang.String` | `findServletMapping(java.lang.String pattern)` Return the servlet name mapped by the specified pattern (if any); otherwise return `null`.
`java.lang.String[]` | `findServletMappings()` Return the patterns of all defined servlet mappings for this Context.
`java.lang.String` | `findStatusPage(int status)` Return the context-relative URI of the error page for the specified HTTP status code, if any; otherwise return `null`.
`int[]` | `findStatusPages()` Return the set of HTTP status codes for which error pages have been specified.
`java.lang.String` | `findTaglib(java.lang.String uri)` Return the tag library descriptor location for the specified taglib URI, if any; otherwise, return `null`.
`java.lang.String[]` | `findTaglibs()` Return the URIs of all tag libraries for which a tag library descriptor location has been specified.
`boolean` | `findWelcomeFile(java.lang.String name)` Return `true` if the specified welcome file is defined for this Context; otherwise return `false`.
`java.lang.String[]` | `findWelcomeFiles()` Return the set of welcome files defined for this Context.
`java.lang.String[]` | `findWrapperLifecycles()` Return the set of LifecycleListener classes that will be added to newly created Wrappers automatically.
`java.lang.String[]` | `findWrapperListeners()` Return the set of ContainerListener classes that will be added to newly created Wrappers automatically.
`java.lang.String` | `getAltDDName()` Return the alternate Deployment Descriptor name.
`java.lang.Object[]` | `getApplicationEventListeners()` Return the set of initialized application event listener objects, in the order they were specified in the web application deployment descriptor, for this application.
`java.lang.Object[]` | `getApplicationLifecycleListeners()` Return the set of initialized application lifecycle listener objects, in the order they were specified in the web application deployment descriptor, for this application.
`boolean` | `getAvailable()` Return the application available flag for this Context.
`CharsetMapper` | `getCharsetMapper()` Return the Locale to character set mapper for this Context.
`java.lang.String` | `getConfigFile()` Return the path to a file to save this Context information.
`boolean` | `getConfigured()` Return the "correctly configured" flag for this Context.
`boolean` | `getCookies()` Return the "use cookies for session ids" flag.
`boolean` | `getCrossContext()` Return the "allow crossing servlet contexts" flag.
`java.lang.String` | `getDisplayName()` Return the display name of this web application.
`boolean` | `getDistributable()` Return the distributable flag for this web application.
`java.lang.String` | `getDocBase()` Return the document root for this Context.
`LoginConfig` | `getLoginConfig()` Return the login configuration descriptor for this web application.
`Mapper` | `getMapper()` Get the request dispatcher mapper.
`NamingResources` | `getNamingResources()` Return the naming resources associated with this web application.
`boolean` | `getOverride()` Return the override flag for this web application.
`java.lang.String` | `getPath()` Return the context path for this web application.
`boolean` | `getPrivileged()` Return the privileged flag for this web application.
`java.lang.String` | `getPublicId()` Return the public identifier of the deployment descriptor DTD that is currently being parsed.
`boolean` | `getReloadable()` Return the reloadable flag for this web application.
`javax.servlet.ServletContext` | `getServletContext()` Return the servlet context for which this Context is a facade.
`int` | `getSessionTimeout()` Return the default session timeout (in minutes) for this web application.
`boolean` | `getTldNamespaceAware()` Get the server.xml attribute's xmlNamespaceAware.
`boolean` | `getTldValidation()` Get the server.xml attribute's webXmlValidation.
`java.lang.String` | `getWrapperClass()` Return the Java class name of the Wrapper implementation used for servlets registered in this Context.
`boolean` | `getXmlNamespaceAware()` Get the server.xml attribute's xmlNamespaceAware.
`boolean` | `getXmlValidation()` Get the server.xml attribute's xmlValidation.
`void` | `reload()` Reload this web application, if reloading is supported.
`void` | `removeApplicationListener(java.lang.String listener)` Remove the specified application listener class from the set of listeners for this application.
`void` | `removeApplicationParameter(java.lang.String name)` Remove the application parameter with the specified name from the set for this application.
`void` | `removeConstraint(SecurityConstraint constraint)` Remove the specified security constraint from this web application.
`void` | `removeEjb(java.lang.String name)` Remove any EJB resource reference with the specified name.
`void` | `removeEnvironment(java.lang.String name)` Remove any environment entry with the specified name.
`void` | `removeErrorPage(ErrorPage errorPage)` Remove the error page for the specified error code or Java language exception, if it exists; otherwise, no action is taken.
`void` | `removeFilterDef(FilterDef filterDef)` Remove the specified filter definition from this Context, if it exists; otherwise, no action is taken.
`void` | `removeFilterMap(FilterMap filterMap)` Remove a filter mapping from this Context.
`void` | `removeInstanceListener(java.lang.String listener)` Remove a class name from the set of InstanceListener classes that will be added to newly created Wrappers.
`void` | `removeLocalEjb(java.lang.String name)` Remove any local EJB resource reference with the specified name.
`void` | `removeMimeMapping(java.lang.String extension)` Remove the MIME mapping for the specified extension, if it exists; otherwise, no action is taken.
`void` | `removeParameter(java.lang.String name)` Remove the context initialization parameter with the specified name, if it exists; otherwise, no action is taken.
`void` | `removeResource(java.lang.String name)` Remove any resource reference with the specified name.
`void` | `removeResourceEnvRef(java.lang.String name)` Remove any resource environment reference with the specified name.
`void` | `removeResourceLink(java.lang.String name)` Remove any resource link with the specified name.
`void` | `removeRoleMapping(java.lang.String role)` Remove any security role reference for the specified name
`void` | `removeSecurityRole(java.lang.String role)` Remove any security role with the specified name.
`void` | `removeServletMapping(java.lang.String pattern)` Remove any servlet mapping for the specified pattern, if it exists; otherwise, no action is taken.
`void` | `removeTaglib(java.lang.String uri)` Remove the tag library location forthe specified tag library URI.
`void` | `removeWelcomeFile(java.lang.String name)` Remove the specified welcome file name from the list recognized by this Context.
`void` | `removeWrapperLifecycle(java.lang.String listener)` Remove a class name from the set of LifecycleListener classes that will be added to newly created Wrappers.
`void` | `removeWrapperListener(java.lang.String listener)` Remove a class name from the set of ContainerListener classes that will be added to newly created Wrappers.
`void` | `setAltDDName(java.lang.String altDDName)` Set an alternate Deployment Descriptor name.
`void` | `setApplicationEventListeners(java.lang.Object[] listeners)` Store the set of initialized application event listener objects, in the order they were specified in the web application deployment descriptor, for this application.
`void` | `setApplicationLifecycleListeners(java.lang.Object[] listeners)` Store the set of initialized application lifecycle listener objects, in the order they were specified in the web application deployment descriptor, for this application.
`void` | `setAvailable(boolean available)` Set the application available flag for this Context.
`void` | `setCharsetMapper(CharsetMapper mapper)` Set the Locale to character set mapper for this Context.
`void` | `setConfigFile(java.lang.String configFile)` Set the path to a file to save this Context information.
`void` | `setConfigured(boolean configured)` Set the "correctly configured" flag for this Context.
`void` | `setCookies(boolean cookies)` Set the "use cookies for session ids" flag.
`void` | `setCrossContext(boolean crossContext)` Set the "allow crossing servlet contexts" flag.
`void` | `setDisplayName(java.lang.String displayName)` Set the display name of this web application.
`void` | `setDistributable(boolean distributable)` Set the distributable flag for this web application.
`void` | `setDocBase(java.lang.String docBase)` Set the document root for this Context.
`void` | `setLoginConfig(LoginConfig config)` Set the login configuration descriptor for this web application.
`void` | `setNamingResources(NamingResources namingResources)` Set the naming resources for this web application.
`void` | `setOverride(boolean override)` Set the override flag for this web application.
`void` | `setPath(java.lang.String path)` Set the context path for this web application.
`void` | `setPrivileged(boolean privileged)` Set the privileged flag for this web application.
`void` | `setPublicId(java.lang.String publicId)` Set the public identifier of the deployment descriptor DTD that is currently being parsed.
`void` | `setReloadable(boolean reloadable)` Set the reloadable flag for this web application.
`void` | `setSessionTimeout(int timeout)` Set the default session timeout (in minutes) for this web application.
`void` | `setTldNamespaceAware(boolean tldNamespaceAware)` Set the namespace aware feature of the XML parser used when parsing xml instances.
`void` | `setTldValidation(boolean tldValidation)` Set the validation feature of the XML parser used when parsing tlds files.
`void` | `setWrapperClass(java.lang.String wrapperClass)` Set the Java class name of the Wrapper implementation used for servlets registered in this Context.
`void` | `setXmlNamespaceAware(boolean xmlNamespaceAware)` Set the namespace aware feature of the XML parser used when parsing xml instances.
`void` | `setXmlValidation(boolean xmlValidation)` Set the validation feature of the XML parser used when parsing xml instances.

Methods inherited from interface org.apache.catalina.Container
`addChild, addContainerListener, addPropertyChangeListener, backgroundProcess, findChild, findChildren, findContainerListeners, getBackgroundProcessorDelay, getCluster, getInfo, getLoader, getLogger, getManager, getMappingObject, getName, getParent, getParentClassLoader, getPipeline, getRealm, getResources, invoke, removeChild, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setLoader, setLogger, setManager, setName, setParent, setParentClassLoader, setRealm, setResources`

Field Detail

### RELOAD_EVENT

    public static final java.lang.String RELOAD_EVENT

  The LifecycleEvent type sent when a context is reloaded.

  See Also:
    Constant Field Values

Method Detail

### getApplicationEventListeners

    public java.lang.Object[] getApplicationEventListeners()

  Return the set of initialized application event listener objects, in the order they were specified in the web application deployment descriptor, for this application.

  Throws:
    `java.lang.IllegalStateException` - if this method is called before this application has started, or after it has been stopped

### setApplicationEventListeners

    public void setApplicationEventListeners(java.lang.Object[] listeners)

  Store the set of initialized application event listener objects, in the order they were specified in the web application deployment descriptor, for this application.

  Parameters:
    `listeners` - The set of instantiated listener objects.

### getApplicationLifecycleListeners

    public java.lang.Object[] getApplicationLifecycleListeners()

  Return the set of initialized application lifecycle listener objects, in the order they were specified in the web application deployment descriptor, for this application.

  Throws:
    `java.lang.IllegalStateException` - if this method is called before this application has started, or after it has been stopped

### setApplicationLifecycleListeners

    public void setApplicationLifecycleListeners(java.lang.Object[] listeners)

  Store the set of initialized application lifecycle listener objects, in the order they were specified in the web application deployment descriptor, for this application.

  Parameters:
    `listeners` - The set of instantiated listener objects.

### getAvailable

    public boolean getAvailable()

  Return the application available flag for this Context.

### setAvailable

    public void setAvailable(boolean available)

  Set the application available flag for this Context.

  Parameters:
    `available` - The new application available flag

### getCharsetMapper

    public CharsetMapper getCharsetMapper()

  Return the Locale to character set mapper for this Context.

### setCharsetMapper

    public void setCharsetMapper(CharsetMapper mapper)

  Set the Locale to character set mapper for this Context.

  Parameters:
    `mapper` - The new mapper

### getConfigFile

    public java.lang.String getConfigFile()

  Return the path to a file to save this Context information.

### setConfigFile

    public void setConfigFile(java.lang.String configFile)

  Set the path to a file to save this Context information.

  Parameters:
    `configFile` - The path to a file to save this Context information.

### getConfigured

    public boolean getConfigured()

  Return the "correctly configured" flag for this Context.

### setConfigured

    public void setConfigured(boolean configured)

  Set the "correctly configured" flag for this Context. This can be set to false by startup listeners that detect a fatal configuration error to avoid the application from being made available.

  Parameters:
    `configured` - The new correctly configured flag

### getCookies

    public boolean getCookies()

  Return the "use cookies for session ids" flag.

### setCookies

    public void setCookies(boolean cookies)

  Set the "use cookies for session ids" flag.

  Parameters:
    `cookies` - The new flag

### getCrossContext

    public boolean getCrossContext()

  Return the "allow crossing servlet contexts" flag.

### getAltDDName

    public java.lang.String getAltDDName()

  Return the alternate Deployment Descriptor name.

### setAltDDName

    public void setAltDDName(java.lang.String altDDName)

  Set an alternate Deployment Descriptor name.

### setCrossContext

    public void setCrossContext(boolean crossContext)

  Set the "allow crossing servlet contexts" flag.

  Parameters:
    `crossContext` - The new cross contexts flag

### getDisplayName

    public java.lang.String getDisplayName()

  Return the display name of this web application.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Set the display name of this web application.

  Parameters:
    `displayName` - The new display name

### getDistributable

    public boolean getDistributable()

  Return the distributable flag for this web application.

### setDistributable

    public void setDistributable(boolean distributable)

  Set the distributable flag for this web application.

  Parameters:
    `distributable` - The new distributable flag

### getDocBase

    public java.lang.String getDocBase()

  Return the document root for this Context. This can be an absolute pathname, a relative pathname, or a URL.

### setDocBase

    public void setDocBase(java.lang.String docBase)

  Set the document root for this Context. This can be an absolute pathname, a relative pathname, or a URL.

  Parameters:
    `docBase` - The new document root

### getLoginConfig

    public LoginConfig getLoginConfig()

  Return the login configuration descriptor for this web application.

### setLoginConfig

    public void setLoginConfig(LoginConfig config)

  Set the login configuration descriptor for this web application.

  Parameters:
    `config` - The new login configuration

### getMapper

    public Mapper getMapper()

  Get the request dispatcher mapper.

### getNamingResources

    public NamingResources getNamingResources()

  Return the naming resources associated with this web application.

### setNamingResources

    public void setNamingResources(NamingResources namingResources)

  Set the naming resources for this web application.

  Parameters:
    `namingResources` - The new naming resources

### getPath

    public java.lang.String getPath()

  Return the context path for this web application.

### setPath

    public void setPath(java.lang.String path)

  Set the context path for this web application.

  Parameters:
    `path` - The new context path

### getPublicId

    public java.lang.String getPublicId()

  Return the public identifier of the deployment descriptor DTD that is currently being parsed.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Set the public identifier of the deployment descriptor DTD that is currently being parsed.

  Parameters:
    `publicId` - The public identifier

### getReloadable

    public boolean getReloadable()

  Return the reloadable flag for this web application.

### setReloadable

    public void setReloadable(boolean reloadable)

  Set the reloadable flag for this web application.

  Parameters:
    `reloadable` - The new reloadable flag

### getOverride

    public boolean getOverride()

  Return the override flag for this web application.

### setOverride

    public void setOverride(boolean override)

  Set the override flag for this web application.

  Parameters:
    `override` - The new override flag

### getPrivileged

    public boolean getPrivileged()

  Return the privileged flag for this web application.

### setPrivileged

    public void setPrivileged(boolean privileged)

  Set the privileged flag for this web application.

  Parameters:
    `privileged` - The new privileged flag

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Return the servlet context for which this Context is a facade.

### getSessionTimeout

    public int getSessionTimeout()

  Return the default session timeout (in minutes) for this web application.

### setSessionTimeout

    public void setSessionTimeout(int timeout)

  Set the default session timeout (in minutes) for this web application.

  Parameters:
    `timeout` - The new default session timeout

### getWrapperClass

    public java.lang.String getWrapperClass()

  Return the Java class name of the Wrapper implementation used for servlets registered in this Context.

### setWrapperClass

    public void setWrapperClass(java.lang.String wrapperClass)

  Set the Java class name of the Wrapper implementation used for servlets registered in this Context.

  Parameters:
    `wrapperClass` - The new wrapper class

### addApplicationListener

    public void addApplicationListener(java.lang.String listener)

  Add a new Listener class name to the set of Listeners configured for this application.

  Parameters:
    `listener` - Java class name of a listener class

### addApplicationParameter

    public void addApplicationParameter(ApplicationParameter parameter)

  Add a new application parameter for this application.

  Parameters:
    `parameter` - The new application parameter

### addConstraint

    public void addConstraint(SecurityConstraint constraint)

  Add a security constraint to the set for this web application.

### addEjb

    public void addEjb(ContextEjb ejb)

  Add an EJB resource reference for this web application.

  Parameters:
    `ejb` - New EJB resource reference

### addEnvironment

    public void addEnvironment(ContextEnvironment environment)

  Add an environment entry for this web application.

  Parameters:
    `environment` - New environment entry

### addErrorPage

    public void addErrorPage(ErrorPage errorPage)

  Add an error page for the specified error or Java exception.

  Parameters:
    `errorPage` - The error page definition to be added

### addFilterDef

    public void addFilterDef(FilterDef filterDef)

  Add a filter definition to this Context.

  Parameters:
    `filterDef` - The filter definition to be added

### addFilterMap

    public void addFilterMap(FilterMap filterMap)

  Add a filter mapping to this Context.

  Parameters:
    `filterMap` - The filter mapping to be added

### addInstanceListener

    public void addInstanceListener(java.lang.String listener)

  Add the classname of an InstanceListener to be added to each Wrapper appended to this Context.

  Parameters:
    `listener` - Java class name of an InstanceListener class

### addJspMapping

    public void addJspMapping(java.lang.String pattern)

  Add the given URL pattern as a jsp-property-group. This maps resources that match the given pattern so they will be passed to the JSP container. Though there are other elements in the property group, we only care about the URL pattern here. The JSP container will parse the rest.

  Parameters:
    `pattern` - URL pattern to be mapped

### addLocaleEncodingMappingParameter

    public void addLocaleEncodingMappingParameter(java.lang.String locale,
                                                  java.lang.String encoding)

  Add a Locale Encoding Mapping (see Sec 5.4 of Servlet spec 2.4)

  Parameters:
    `locale` - locale to map an encoding for
    `encoding` - encoding to be used for a give locale

### addLocalEjb

    public void addLocalEjb(ContextLocalEjb ejb)

  Add a local EJB resource reference for this web application.

  Parameters:
    `ejb` - New local EJB resource reference

### addMimeMapping

    public void addMimeMapping(java.lang.String extension,
                               java.lang.String mimeType)

  Add a new MIME mapping, replacing any existing mapping for the specified extension.

  Parameters:
    `extension` - Filename extension being mapped
    `mimeType` - Corresponding MIME type

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

  Add a new context initialization parameter, replacing any existing value for the specified name.

  Parameters:
    `name` - Name of the new parameter
    `value` - Value of the new parameter

### addResource

    public void addResource(ContextResource resource)

  Add a resource reference for this web application.

  Parameters:
    `resource` - New resource reference

### addResourceEnvRef

    public void addResourceEnvRef(java.lang.String name,
                                  java.lang.String type)

  Add a resource environment reference for this web application.

  Parameters:
    `name` - The resource environment reference name
    `type` - The resource environment reference type

### addResourceLink

    public void addResourceLink(ContextResourceLink resourceLink)

  Add a resource link for this web application.

  Parameters:
    `resourceLink` - New resource link

### addRoleMapping

    public void addRoleMapping(java.lang.String role,
                               java.lang.String link)

  Add a security role reference for this web application.

  Parameters:
    `role` - Security role used in the application
    `link` - Actual security role to check for

### addSecurityRole

    public void addSecurityRole(java.lang.String role)

  Add a new security role for this web application.

  Parameters:
    `role` - New security role

### addServletMapping

    public void addServletMapping(java.lang.String pattern,
                                  java.lang.String name)

  Add a new servlet mapping, replacing any existing mapping for the specified pattern.

  Parameters:
    `pattern` - URL pattern to be mapped
    `name` - Name of the corresponding servlet to execute

### addTaglib

    public void addTaglib(java.lang.String uri,
                          java.lang.String location)

  Add a JSP tag library for the specified URI.

  Parameters:
    `uri` - URI, relative to the web.xml file, of this tag library
    `location` - Location of the tag library descriptor

### addWelcomeFile

    public void addWelcomeFile(java.lang.String name)

  Add a new welcome file to the set recognized by this Context.

  Parameters:
    `name` - New welcome file name

### addWrapperLifecycle

    public void addWrapperLifecycle(java.lang.String listener)

  Add the classname of a LifecycleListener to be added to each Wrapper appended to this Context.

  Parameters:
    `listener` - Java class name of a LifecycleListener class

### addWrapperListener

    public void addWrapperListener(java.lang.String listener)

  Add the classname of a ContainerListener to be added to each Wrapper appended to this Context.

  Parameters:
    `listener` - Java class name of a ContainerListener class

### createWrapper

    public Wrapper createWrapper()

  Factory method to create and return a new Wrapper instance, of the Java implementation class appropriate for this Context implementation. The constructor of the instantiated Wrapper will have been called, but no properties will have been set.

### findApplicationListeners

    public java.lang.String[] findApplicationListeners()

  Return the set of application listener class names configured for this application.

### findApplicationParameters

    public ApplicationParameter[] findApplicationParameters()

  Return the set of application parameters for this application.

### findConstraints

    public SecurityConstraint[] findConstraints()

  Return the set of security constraints for this web application. If there are none, a zero-length array is returned.

### findEjb

    public ContextEjb findEjb(java.lang.String name)

  Return the EJB resource reference with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired EJB resource reference

### findEjbs

    public ContextEjb[] findEjbs()

  Return the defined EJB resource references for this application. If there are none, a zero-length array is returned.

### findEnvironment

    public ContextEnvironment findEnvironment(java.lang.String name)

  Return the environment entry with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired environment entry

### findEnvironments

    public ContextEnvironment[] findEnvironments()

  Return the set of defined environment entries for this web application. If none have been defined, a zero-length array is returned.

### findErrorPage

    public ErrorPage findErrorPage(int errorCode)

  Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.

  Parameters:
    `errorCode` - Error code to look up

### findErrorPage

    public ErrorPage findErrorPage(java.lang.String exceptionType)

  Return the error page entry for the specified Java exception type, if any; otherwise return `null`.

  Parameters:
    `exceptionType` - Exception type to look up

### findErrorPages

    public ErrorPage[] findErrorPages()

  Return the set of defined error pages for all specified error codes and exception types.

### findFilterDef

    public FilterDef findFilterDef(java.lang.String filterName)

  Return the filter definition for the specified filter name, if any; otherwise return `null`.

  Parameters:
    `filterName` - Filter name to look up

### findFilterDefs

    public FilterDef[] findFilterDefs()

  Return the set of defined filters for this Context.

### findFilterMaps

    public FilterMap[] findFilterMaps()

  Return the set of filter mappings for this Context.

### findInstanceListeners

    public java.lang.String[] findInstanceListeners()

  Return the set of InstanceListener classes that will be added to newly created Wrappers automatically.

### findLocalEjb

    public ContextLocalEjb findLocalEjb(java.lang.String name)

  Return the local EJB resource reference with the specified name, if any; otherwise, return `null`.

  Parameters:
    `name` - Name of the desired EJB resource reference

### findLocalEjbs

    public ContextLocalEjb[] findLocalEjbs()

  Return the defined local EJB resource references for this application. If there are none, a zero-length array is returned.

### findMimeMapping

    public java.lang.String findMimeMapping(java.lang.String extension)

  Return the MIME type to which the specified extension is mapped, if any; otherwise return `null`.

  Parameters:
    `extension` - Extension to map to a MIME type

### findMimeMappings

    public java.lang.String[] findMimeMappings()

  Return the extensions for which MIME mappings are defined. If there are none, a zero-length array is returned.

### findParameter

    public java.lang.String findParameter(java.lang.String name)

  Return the value for the specified context initialization parameter name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the parameter to return

### findParameters

    public java.lang.String[] findParameters()

  Return the names of all defined context initialization parameters for this Context. If no parameters are defined, a zero-length array is returned.

### findResource

    public ContextResource findResource(java.lang.String name)

  Return the resource reference with the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource reference

### findResourceEnvRef

    public java.lang.String findResourceEnvRef(java.lang.String name)

  Return the resource environment reference type for the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource environment reference

### findResourceEnvRefs

    public java.lang.String[] findResourceEnvRefs()

  Return the set of resource environment reference names for this web application. If none have been specified, a zero-length array is returned.

### findResourceLink

    public ContextResourceLink findResourceLink(java.lang.String name)

  Return the resource link with the specified name, if any; otherwise return `null`.

  Parameters:
    `name` - Name of the desired resource link

### findResourceLinks

    public ContextResourceLink[] findResourceLinks()

  Return the defined resource links for this application. If none have been defined, a zero-length array is returned.

### findResources

    public ContextResource[] findResources()

  Return the defined resource references for this application. If none have been defined, a zero-length array is returned.

### findRoleMapping

    public java.lang.String findRoleMapping(java.lang.String role)

  For the given security role (as used by an application), return the corresponding role name (as defined by the underlying Realm) if there is one. Otherwise, return the specified role unchanged.

  Parameters:
    `role` - Security role to map

### findSecurityRole

    public boolean findSecurityRole(java.lang.String role)

  Return `true` if the specified security role is defined for this application; otherwise return `false`.

  Parameters:
    `role` - Security role to verify

### findSecurityRoles

    public java.lang.String[] findSecurityRoles()

  Return the security roles defined for this application. If none have been defined, a zero-length array is returned.

### findServletMapping

    public java.lang.String findServletMapping(java.lang.String pattern)

  Return the servlet name mapped by the specified pattern (if any); otherwise return `null`.

  Parameters:
    `pattern` - Pattern for which a mapping is requested

### findServletMappings

    public java.lang.String[] findServletMappings()

  Return the patterns of all defined servlet mappings for this Context. If no mappings are defined, a zero-length array is returned.

### findStatusPage

    public java.lang.String findStatusPage(int status)

  Return the context-relative URI of the error page for the specified HTTP status code, if any; otherwise return `null`.

  Parameters:
    `status` - HTTP status code to look up

### findStatusPages

    public int[] findStatusPages()

  Return the set of HTTP status codes for which error pages have been specified. If none are specified, a zero-length array is returned.

### findTaglib

    public java.lang.String findTaglib(java.lang.String uri)

  Return the tag library descriptor location for the specified taglib URI, if any; otherwise, return `null`.

  Parameters:
    `uri` - URI, relative to the web.xml file

### findTaglibs

    public java.lang.String[] findTaglibs()

  Return the URIs of all tag libraries for which a tag library descriptor location has been specified. If none are specified, a zero-length array is returned.

### findWelcomeFile

    public boolean findWelcomeFile(java.lang.String name)

  Return `true` if the specified welcome file is defined for this Context; otherwise return `false`.

  Parameters:
    `name` - Welcome file to verify

### findWelcomeFiles

    public java.lang.String[] findWelcomeFiles()

  Return the set of welcome files defined for this Context. If none are defined, a zero-length array is returned.

### findWrapperLifecycles

    public java.lang.String[] findWrapperLifecycles()

  Return the set of LifecycleListener classes that will be added to newly created Wrappers automatically.

### findWrapperListeners

    public java.lang.String[] findWrapperListeners()

  Return the set of ContainerListener classes that will be added to newly created Wrappers automatically.

### reload

    public void reload()

  Reload this web application, if reloading is supported.

  Throws:
    `java.lang.IllegalStateException` - if the `reloadable` property is set to `false`.

### removeApplicationListener

    public void removeApplicationListener(java.lang.String listener)

  Remove the specified application listener class from the set of listeners for this application.

  Parameters:
    `listener` - Java class name of the listener to be removed

### removeApplicationParameter

    public void removeApplicationParameter(java.lang.String name)

  Remove the application parameter with the specified name from the set for this application.

  Parameters:
    `name` - Name of the application parameter to remove

### removeConstraint

    public void removeConstraint(SecurityConstraint constraint)

  Remove the specified security constraint from this web application.

  Parameters:
    `constraint` - Constraint to be removed

### removeEjb

    public void removeEjb(java.lang.String name)

  Remove any EJB resource reference with the specified name.

  Parameters:
    `name` - Name of the EJB resource reference to remove

### removeEnvironment

    public void removeEnvironment(java.lang.String name)

  Remove any environment entry with the specified name.

  Parameters:
    `name` - Name of the environment entry to remove

### removeErrorPage

    public void removeErrorPage(ErrorPage errorPage)

  Remove the error page for the specified error code or Java language exception, if it exists; otherwise, no action is taken.

  Parameters:
    `errorPage` - The error page definition to be removed

### removeFilterDef

    public void removeFilterDef(FilterDef filterDef)

  Remove the specified filter definition from this Context, if it exists; otherwise, no action is taken.

  Parameters:
    `filterDef` - Filter definition to be removed

### removeFilterMap

    public void removeFilterMap(FilterMap filterMap)

  Remove a filter mapping from this Context.

  Parameters:
    `filterMap` - The filter mapping to be removed

### removeInstanceListener

    public void removeInstanceListener(java.lang.String listener)

  Remove a class name from the set of InstanceListener classes that will be added to newly created Wrappers.

  Parameters:
    `listener` - Class name of an InstanceListener class to be removed

### removeLocalEjb

    public void removeLocalEjb(java.lang.String name)

  Remove any local EJB resource reference with the specified name.

  Parameters:
    `name` - Name of the EJB resource reference to remove

### removeMimeMapping

    public void removeMimeMapping(java.lang.String extension)

  Remove the MIME mapping for the specified extension, if it exists; otherwise, no action is taken.

  Parameters:
    `extension` - Extension to remove the mapping for

### removeParameter

    public void removeParameter(java.lang.String name)

  Remove the context initialization parameter with the specified name, if it exists; otherwise, no action is taken.

  Parameters:
    `name` - Name of the parameter to remove

### removeResource

    public void removeResource(java.lang.String name)

  Remove any resource reference with the specified name.

  Parameters:
    `name` - Name of the resource reference to remove

### removeResourceEnvRef

    public void removeResourceEnvRef(java.lang.String name)

  Remove any resource environment reference with the specified name.

  Parameters:
    `name` - Name of the resource environment reference to remove

### removeResourceLink

    public void removeResourceLink(java.lang.String name)

  Remove any resource link with the specified name.

  Parameters:
    `name` - Name of the resource link to remove

### removeRoleMapping

    public void removeRoleMapping(java.lang.String role)

  Remove any security role reference for the specified name

  Parameters:
    `role` - Security role (as used in the application) to remove

### removeSecurityRole

    public void removeSecurityRole(java.lang.String role)

  Remove any security role with the specified name.

  Parameters:
    `role` - Security role to remove

### removeServletMapping

    public void removeServletMapping(java.lang.String pattern)

  Remove any servlet mapping for the specified pattern, if it exists; otherwise, no action is taken.

  Parameters:
    `pattern` - URL pattern of the mapping to remove

### removeTaglib

    public void removeTaglib(java.lang.String uri)

  Remove the tag library location forthe specified tag library URI.

  Parameters:
    `uri` - URI, relative to the web.xml file

### removeWelcomeFile

    public void removeWelcomeFile(java.lang.String name)

  Remove the specified welcome file name from the list recognized by this Context.

  Parameters:
    `name` - Name of the welcome file to be removed

### removeWrapperLifecycle

    public void removeWrapperLifecycle(java.lang.String listener)

  Remove a class name from the set of LifecycleListener classes that will be added to newly created Wrappers.

  Parameters:
    `listener` - Class name of a LifecycleListener class to be removed

### removeWrapperListener

    public void removeWrapperListener(java.lang.String listener)

  Remove a class name from the set of ContainerListener classes that will be added to newly created Wrappers.

  Parameters:
    `listener` - Class name of a ContainerListener class to be removed

### getXmlNamespaceAware

    public boolean getXmlNamespaceAware()

  Get the server.xml attribute's xmlNamespaceAware.

  Returns:
    true if namespace awarenes is enabled.

### getXmlValidation

    public boolean getXmlValidation()

  Get the server.xml attribute's xmlValidation.

  Returns:
    true if validation is enabled.

### setXmlValidation

    public void setXmlValidation(boolean xmlValidation)

  Set the validation feature of the XML parser used when parsing xml instances.

  Parameters:
    `xmlValidation` - true to enable xml instance validation

### setXmlNamespaceAware

    public void setXmlNamespaceAware(boolean xmlNamespaceAware)

  Set the namespace aware feature of the XML parser used when parsing xml instances.

  Parameters:
    `xmlNamespaceAware` - true to enable namespace awareness

### setTldValidation

    public void setTldValidation(boolean tldValidation)

  Set the validation feature of the XML parser used when parsing tlds files.

  Parameters:
    `tldValidation` - true to enable xml instance validation

### getTldValidation

    public boolean getTldValidation()

  Get the server.xml attribute's webXmlValidation.

  Returns:
    true if validation is enabled.

### getTldNamespaceAware

    public boolean getTldNamespaceAware()

  Get the server.xml attribute's xmlNamespaceAware.

  Returns:
    true if namespace awarenes is enabled.

### setTldNamespaceAware

    public void setTldNamespaceAware(boolean tldNamespaceAware)

  Set the namespace aware feature of the XML parser used when parsing xml instances.

  Parameters:
    `tldNamespaceAware` - true to enable namespace awareness

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.